From 7bbdd3663cfb6a74541e95fe4b9dd5fe16659963 Mon Sep 17 00:00:00 2001
From: Kaixi Hou <kaixih@nvidia.com>
Date: Tue, 4 May 2021 15:21:11 -0700
Subject: [PATCH] Update headers path

---
 include/cudnn_backend_base.h                | 2 +-
 include/cudnn_frontend_ConvDesc.h           | 4 ++--
 include/cudnn_frontend_Engine.h             | 4 ++--
 include/cudnn_frontend_EngineConfig.h       | 4 ++--
 include/cudnn_frontend_EngineFallbackList.h | 2 +-
 include/cudnn_frontend_ExecutionPlan.h      | 4 ++--
 include/cudnn_frontend_Filters.h            | 2 +-
 include/cudnn_frontend_Heuristics.h         | 4 ++--
 include/cudnn_frontend_MatMulDesc.h         | 4 ++--
 include/cudnn_frontend_Operation.h          | 4 ++--
 include/cudnn_frontend_OperationGraph.h     | 4 ++--
 include/cudnn_frontend_PointWiseDesc.h      | 4 ++--
 include/cudnn_frontend_ReductionDesc.h      | 4 ++--
 include/cudnn_frontend_VariantPack.h        | 4 ++--
 14 files changed, 25 insertions(+), 25 deletions(-)

diff --git a/include/cudnn_backend_base.h b/include/cudnn_backend_base.h
index b07b336..3fb06a7 100644
--- a/include/cudnn_backend_base.h
+++ b/include/cudnn_backend_base.h
@@ -22,7 +22,7 @@
 
 #pragma once
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 
 namespace cudnn_frontend {
 
diff --git a/include/cudnn_frontend_ConvDesc.h b/include/cudnn_frontend_ConvDesc.h
index d8706d4..6cabf6e 100644
--- a/include/cudnn_frontend_ConvDesc.h
+++ b/include/cudnn_frontend_ConvDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_Engine.h b/include/cudnn_frontend_Engine.h
index 644a759..0e2f76b 100644
--- a/include/cudnn_frontend_Engine.h
+++ b/include/cudnn_frontend_Engine.h
@@ -30,8 +30,8 @@
 #include <utility>
 #include <vector>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_OperationGraph.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_EngineConfig.h b/include/cudnn_frontend_EngineConfig.h
index 3e37848..1980207 100644
--- a/include/cudnn_frontend_EngineConfig.h
+++ b/include/cudnn_frontend_EngineConfig.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Engine.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_EngineFallbackList.h b/include/cudnn_frontend_EngineFallbackList.h
index e7d918b..7298ef3 100644
--- a/include/cudnn_frontend_EngineFallbackList.h
+++ b/include/cudnn_frontend_EngineFallbackList.h
@@ -22,7 +22,7 @@
 
 #pragma once
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 #include <numeric>
 
 namespace cudnn_frontend {
diff --git a/include/cudnn_frontend_ExecutionPlan.h b/include/cudnn_frontend_ExecutionPlan.h
index 8ceb03a..048713c 100644
--- a/include/cudnn_frontend_ExecutionPlan.h
+++ b/include/cudnn_frontend_ExecutionPlan.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Engine.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_Filters.h b/include/cudnn_frontend_Filters.h
index b244766..3e9273b 100644
--- a/include/cudnn_frontend_Filters.h
+++ b/include/cudnn_frontend_Filters.h
@@ -22,7 +22,7 @@
 
 #pragma once
 
-#include <cudnn.h>
+#include "third_party/gpus/cudnn/cudnn.h"
 
 namespace cudnn_frontend {
 
diff --git a/include/cudnn_frontend_Heuristics.h b/include/cudnn_frontend_Heuristics.h
index 446f932..b15f472 100644
--- a/include/cudnn_frontend_Heuristics.h
+++ b/include/cudnn_frontend_Heuristics.h
@@ -24,8 +24,8 @@
 
 #include <vector>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_OperationGraph.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_MatMulDesc.h b/include/cudnn_frontend_MatMulDesc.h
index e416002..da2deb1 100644
--- a/include/cudnn_frontend_MatMulDesc.h
+++ b/include/cudnn_frontend_MatMulDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_Operation.h b/include/cudnn_frontend_Operation.h
index dd3633d..a533a30 100644
--- a/include/cudnn_frontend_Operation.h
+++ b/include/cudnn_frontend_Operation.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_ConvDesc.h"
 #include "cudnn_frontend_PointWiseDesc.h"
diff --git a/include/cudnn_frontend_OperationGraph.h b/include/cudnn_frontend_OperationGraph.h
index 75d58fb..3d7c3d1 100644
--- a/include/cudnn_frontend_OperationGraph.h
+++ b/include/cudnn_frontend_OperationGraph.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_Operation.h"
 #include "cudnn_frontend_utils.h"
diff --git a/include/cudnn_frontend_PointWiseDesc.h b/include/cudnn_frontend_PointWiseDesc.h
index 050a15f..7c07589 100644
--- a/include/cudnn_frontend_PointWiseDesc.h
+++ b/include/cudnn_frontend_PointWiseDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_ReductionDesc.h b/include/cudnn_frontend_ReductionDesc.h
index d4de814..8aa447d 100644
--- a/include/cudnn_frontend_ReductionDesc.h
+++ b/include/cudnn_frontend_ReductionDesc.h
@@ -29,8 +29,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
diff --git a/include/cudnn_frontend_VariantPack.h b/include/cudnn_frontend_VariantPack.h
index ab2aab3..94aae89 100644
--- a/include/cudnn_frontend_VariantPack.h
+++ b/include/cudnn_frontend_VariantPack.h
@@ -30,8 +30,8 @@
 #include <sstream>
 #include <utility>
 
-#include <cudnn.h>
-#include <cudnn_backend.h>
+#include "third_party/gpus/cudnn/cudnn.h"
+#include "third_party/gpus/cudnn/cudnn_backend.h"
 
 #include "cudnn_frontend_utils.h"
 
-- 
2.17.1

